# $Revision: 1.16 $, $Date: 2007/01/25 17:26:32 $
Summary:	Xfce plugin which displays the current system load
Summary(pl):	Wtyczka Xfce wywietlajca aktualne obcienie systemu
Name:		xfce4-systemload-plugin
Version:	0.4.2
Release:	1
License:	BSD-like (see COPYING)
Group:		X11/Applications
Source0:	http://goodies.xfce.org/releases/xfce4-systemload-plugin/%{name}-%{version}.tar.bz2
# Source0-md5:	cc5777bb1621704927513eb8eef5f07c
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires:	xfce4-panel >= 4.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A system load plugin for the Xfce desktop environment. It displays the
current CPU load, the memory in use, the swap space and the system
uptime in the Xfce panel.

%description -l pl
Wtyczka obcienia systemu dla rodowiska Xfce. Wywietla obecne
obcienie procesora, uycie pamici, pliku wymiany i czasu pracy
systemu w panelu Xfce.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/systemload.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-systemload-plugin.spec,v $
Revision 1.16  2007/01/25 17:26:32  megabajt
- updated URL
- missing BR: xfce4-dev-tools

Revision 1.15  2007/01/23 07:22:48  teodor
- up to 0.4.2 (for xfce 4.4.0)

Revision 1.14  2005/06/08 14:54:49  zbyniu
- BR: gettext-devel

Revision 1.13  2005/03/09 09:09:51  havner
- rel up for rebuild with xfce 4.2

Revision 1.12  2005/02/27 20:48:40  troll
- release 1, STBR

Revision 1.11  2005/02/07 18:23:38  petec
- updated to 0.3.6
- Source1 isn't available, probably not needed

Revision 1.10  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.9  2004/11/27 19:13:03  havner
- rel up for rebuild with xfce4

Revision 1.8  2004/07/12 20:31:04  troll
- rel++ to rebuild with new XFce

Revision 1.7  2003/12/19 23:49:05  ankry
- cosmetics

Revision 1.6  2003/12/19 16:57:30  andree
- added source1 - includes to configure.ac (needed for autoconf)
- added source2, patch0 - polish translation
- BR: ac,am,libtool; release 2

Revision 1.5  2003/11/13 23:50:18  andree
- updated to 0.3.4

Revision 1.4  2003/11/13 11:58:02  qboosh
- removed indirect deps, faster build

Revision 1.3  2003/10/31 11:02:51  andree
- updated to 0.3.3

Revision 1.2  2003/10/19 15:56:35  qboosh
- summaries cosmetics, more informative License

Revision 1.1  2003/10/19 12:25:53  troll
- initial release
